.cta-buttons {
    display: flex;
    gap: 30px;
}

.cta-buttons.align-center-d {
    justify-content: center;
}

/* Postcode form */

.default-check-price-form {
    display: flex;
    padding: 5px;
    border: 2px solid var(--check-price-border-color);
    color: var(--check-price-label-color);
    align-items: center;
}

.dynamic-helper.error .default-check-price-form  {
    border-color: #ff0000;
}

.default-check-price-form .the-postfield {
    font-size: 18px;
    font-weight: 700;
    width: 100%;
    padding: 15px 20px;
    border: none;
    background: transparent;
    color: var(--check-price-label-color);
}

.default-check-price-form .the-submitfield {
    font-size: 15px;
    font-weight: 700;
    background-color: var(--check-price-button-bkg-color);
    border: 1px solid var(--check-price-button-border-color);
    color: var(--check-price-button-color);
    margin: 0;
    cursor: pointer;
    width: 100%;
    min-width: auto;
    transition: all .2s ease-in-out;
    -webkit-appearance: none;
}

.default-check-price-form .the-submitfield:hover,
.default-check-price-form .the-submitfield:focus,
.default-check-price-form .the-submitfield:active {
    background-color: var(--check-price-button-bkg-color-hover);
    border: 1px solid var(--check-price-button-border-color-hover);
    color: var(--check-price-button-color-hover);
    outline: none;
}

.default-check-price-form .moving-label {
    position: absolute;
    top: 20px;
    left: 25px;
    font-size: 12px;
    z-index: 32;
    line-height: 24px;
    pointer-events: none;
}

.dynamic-helper.clicked .default-check-price-form .moving-label {
    top: 0px;
}

.default-check-price-form label.error-message {
    position: absolute;
    bottom: -25px;
    left: 25px;
    color: red;
    font-size: 12px;
    line-height: 18px;
    opacity: 0;
    transition: opacity .3s ease-in-out;
}

.default-check-price-form label.error-message.visible {
    opacity: 1;
    z-index: 9;
}

.submit-wrapper-with-loader {
    position: relative;
    display: inline-block;
    min-width: 230px;
}

.submit-wrapper-with-loader.active .load-holder-lds-eclipse {
    display: block;
}

.submit-wrapper-with-loader .load-holder-lds-eclipse {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: var(--check-price-button-bkg-color);
    z-index: 10;
    display: none;
}

.submit-wrapper-with-loader .load-holder-lds-eclipse .load-lds-eclipse {
    position: absolute;
    -webkit-animation: lds-eclipse 1s linear infinite;
    animation: lds-eclipse 1s linear infinite;
    top: 0;
    height: 30px;
    width: 30px;
    left: calc(50% - 15px);
    top: calc(50% - 15px);
    border-radius: 50%;
    box-shadow: 0 3px 0 0 #ffffff;
}

@keyframes lds-eclipse {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    50% {
        -webkit-transform: rotate(180deg);
        transform: rotate(180deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

/*** on secondary ***/
.section--secondary .default-check-price-form {
    border: 2px solid var(--check-price-border-color-on-secondary);
    color: var(--check-price-label-color-on-secondary);
}

.section--secondary .default-check-price-form .the-postfield {
    color: var(--check-price-label-color-on-secondary);
}

.section--secondary .default-check-price-form .the-submitfield {
    background-color: var(--check-price-button-bkg-color-on-secondary);
    border: 1px solid var(--check-price-button-border-color-on-secondary);
    color: var(--check-price-button-color-on-secondary);
}

.section--secondary .default-check-price-form .the-submitfield:hover,
.section--secondary .default-check-price-form .the-submitfield:focus,
.section--secondary  .default-check-price-form .the-submitfield:active {
    background-color: var(--check-price-button-bkg-color-hover-on-secondary);
    border: 1px solid var(--check-price-button-border-color-hover-on-secondary);
    color: var(--check-price-button-color-hover-on-secondary);
}



@media only screen and (min-width: 768px) {
    .cta-buttons.align-center-d {
        justify-content: center;
    }
}

@media only screen and (max-width: 991px) {
    .cta-buttons {
        flex-wrap: wrap;
        gap: 20px;
    }
}

@media only screen and (max-width: 767px) {
    .cta-buttons.align-center-m {
        justify-content: center;
    }

    .default-check-price-form {
        flex-wrap: wrap;
    }

    .submit-wrapper-with-loader {
        width: 100%;
    }
}